Pfsense 2.0.1, Boitier Alix, mais où est donc lightsquid



  • bonjour,

    j'ai un pfsense en version 2.0.1 qui tourne sur un boitier Alix Alix 2D13HD,
    je veux installer squid + lightsquid pour gérer les logs.

    quant je vais dans la partie packages, je trouve bien squid, mais pas de package lightsquid
    donc là je tourne en rond, je comprend pas pourquoi,

    quelqu'un peut il me dire pourquoi le package lightsquid a disparue de ma distribution pfsense ?
    et si il y a un moyen de contourner ce problème.

    merci



  • <mode acotedusujet="">Il est très surprenant d'installer un proxy (Squid) et son complément naturel (LightSquid) dans ce type de boitier.
    Parce que cela exige IMPERATIVEMENT un disque dur pour stocker le cache et les log d'accès.
    De plus, généralement, la puissance processeur est faible et la mémoire est limitée;
    et il est donc NETTEMENT préférable de laisser la puissance et la mémoire à la VRAIE fonction firewall (filtrage basé sur IP/port/…).

    Enfin, à partir d'une certaine taille, un proxy dédié permettra plus de fonctions (blacklist = encore besoin mémoire).</mode>



  • http://www.osnet.eu/fr/contenu/firewall-alix-2d13-hdd
    Le pourquoi de votre problème est écrit en gras dans cette page …



  • @ccnet : tu complètes, avec des infos quantifiées, mon mode ACOTEDUSUJET. Merci

    En effet, avec 256Mo et un proc à 500Mhz, laissons donc à ce hardware son rôle de pur firewall (filtrage dans le flux ip voire vpn)
    sans lui rajouter une tache que le laissera à genoux ! (De toute façon, avec 256M, je vois mal un cache de plus de 50M de disque … pour tous les clients du réseau !)

    En fait, ce hardware n'est pas vraiment dimensionné pour faire du filtrage de contenu (ou alors pour une toute petite structure <10 pers.).
    Il est sans doute suffisant comme firewall de petit sites distants.



  • j'ai la version avec un disque dur, c'est pour ça que je pensais pouvoir installer squid dessus,
    en faite j'ai la possibilité d'installer squid , car il est dans la liste des packages
    c'est le package lightsquid qui n'est pas présent, ce qui m'intriguait

    je vais voir pour déplacer le proxy,..il s'agit justement d'un installation pour moins de 10 pers.

    merci


Log in to reply